<?php


function login_boton($formulario){
		if($formulario =='x') {
			session_destroy();
			$respuesta = new xajaxResponse('utf-8');
			$respuesta->addRedirect("index.php");
			return $respuesta;
									}

	if(isset($_SESSION['id'])){

$accion = "<li><a class=' btn  '  onclick=\"xajax_login_boton('x') \"><i class='glyphicon glyphicon-log-out fa-fw'></i>$_SESSION[username]</a></li>";
	}else{
	$accion = registro_express("nuevo_$nombre_formato","boton");
		print $accion;
	return;
//	return $login;
	}
	$resultado ="
      <div id='login_div'   name='login_div' style=''  >
  			<ul class='nav navbar-nav navbar-right'  >
  				$accion
         </ul>
      </div>
";
	print $resultado;
	return;
	}
$xajax->registerFunction("login_boton");




function cambiar_password_formato($change) {
	include("includes/datos.php");
	$firma_recuperacion = remplacetas("$tabla_autenticacion","firma_recuperacion",$change,"firma_recuperacion") ;
	if($firma_recuperacion[0] =='') {
		$formato ="<div class='alert alert-danger'><h1>Lo sentimos</h1><p>El Link ya NO ES válido</p></div>";
		return   $formato;
	}
$formato="
<DIV id='cambio_password'>
<div  class='container alert alert-warning'>
							<div  class='row'>

									<form role='form' id='cambiar_password_form' name='cambiar_password_form'>
									<fieldset>
									<legend class='text-center'>Cambio de clave</legend>
										<div class='col-sm-6'>
									 				<div style='margin-bottom: 25px' class='input-group' id='password_nuevo_grupo'>
                                        <span class='input-group-addon'><i class='glyphicon glyphicon-unlock-alt fa-fw'></i></span>
                                        <input id='password_nuevo' type='password' class='form-control' name='password_nuevo' placeholder='Nuevo password'>
                                    	</div>
                              </div>
                              <div class='col-sm-6'>
									 				<div style='margin-bottom: 25px' class='input-group' id='password_confirmacion_grupo'>
                                        <span class='input-group-addon' ><i class='glyphicon glyphicon-lock fa-fw'></i></span>
                                        <input id='password_confirmacion' type='password' class='form-control' name='password_confirmacion' placeholder='Confirmar password'
                                        onchange= \"xajax_confirma_campo((document.getElementById('password_nuevo').value),(this.value),'password_nuevo','password_confirmacion'); \" >
                                    	</div>

                              </div>
									</fieldset>


							</div>
							<input type='hidden' id='firma_recuperacion' name='firma_recuperacion' value='$change'>
<a onclick=\"xajax_cambiar_password(xajax.getFormValues('cambiar_password_form')); \" class='btn btn-danger btn-block'>Grabar</a>
</form>
</DIV>
</div>

";
return $formato;
}

function cambiar_password($formulario){
	//	if ( !isset ( $_SESSION['id'] ) ) {	return;}
			$respuesta = new xajaxResponse('utf-8');
				include("includes/datos.php");
$formulario =	mysql_seguridad($formulario);
$actual= $formulario[password_actual];
$nuevo= $formulario[password_nuevo];
$confirmacion= $formulario[password_confirmacion];
$firma = $formulario[firma_recuperacion];
$firma_recuperacion = remplacetas("$tabla_autenticacion","firma_recuperacion",$formulario[firma_recuperacion],"firma_recuperacion") ;
if(isset($firma)) {$actual = $firma; $id_usuario = $firma_recuperacion[1]; }else{$id_usuario = $_SESSION[id];  }
$verifica = remplacetas("$tablas_autenticacion","id",$_SESSION[id],"passwd") ;

$size= strlen($nuevo);
if($nuevo != $confirmacion OR $actual =="" ){

	$respuesta->addAlert("Los valores no coinciden ( $formulario[firma_recuperacion]  ) $nuevo != $confirmacion $formulario[firma_recuperacion] $firma $actual \OR $actual");
return $respuesta;
}elseif($size < 8) {
	$respuesta->addAlert("Use un password mas seguro: Mínimo 8 caracteres.");
return $respuesta;
}
elseif( $firma_recuperacion[0] != $formulario[firma_recuperacion]){
		$respuesta->addAlert("El link ya no es valido");
		return $respuesta;

}
elseif($formulario[firma_recuperacion] =='' AND $verifica[0] != MD5($actual) ){
		$respuesta->addAlert("Error de password $formulario[firma_recuperacion]");
		return $respuesta;
}else{}

$link=Conectarse();
	mysqli_set_charset($link, "utf8");
	$nueva_firma = sha1(mktime());
	$consulta = "UPDATE $tabla_autenticacion SET  passwd =  '".MD5($nuevo)."' , firma_recuperacion = '$nueva_firma' WHERE  id = $id_usuario;";
	$sql_consulta=mysqli_query($link,$consulta);
	if($sql_consulta) {
$resultado = "<div class='alert alert-success'>La clave se cambió con éxito.</div>";
	}else{$resultado= "";}
	$respuesta->addAlert("La clave se cambió con éxito.");
				$respuesta->addRedirect("index.php");
	return $respuesta;
	}

$xajax->registerFunction("cambiar_password");



?>
